<?php
	// Exit if accessed directly
	if( !defined( 'ABSPATH' ) ) exit;

/**
* 
* @layout: QA
* @url: http://gvectors.com/
* @version: 1.0.0
* @author: gVectors Team
* @description: Q&A layout turns your forum to a powerful question and answer discussion board.
* 
*/
?>

<div class="wpfl-3">
	<div class="wpforo-category">
	    <div class="cat-title"><?php echo esc_html($cat['title']); ?></div>
	    <div class="cat-stat-posts"><?php wpforo_phrase('Replies') ?></div>
	    <div class="cat-stat-answers"><?php wpforo_phrase('Answers') ?></div>
	    <div class="cat-stat-questions"><?php wpforo_phrase('Questions') ?></div>
	    <br class="wpf-clear" />
	</div>
	
	<?php foreach($forums as $forum) : 
		$sub_forums = $wpforo->forum->get_forums( array( "parentid" => $forum['forumid'], "type" => 'forum' ) );
		$has_sub_forums = ( is_array($sub_forums) && !empty($sub_forums) ? TRUE : FALSE );
		
		$topics = $wpforo->topic->get_topics( array("forumid" => $forum['forumid'], "orderby" => "created", "order" => "DESC", "row_count" => $wpforo->forum_options['layout_qa_intro_topics_count'] ) );
		$has_topics = ( is_array($topics) && !empty($topics) ? TRUE : FALSE );
		
		$data = array();
		$wpforo->forum->get_childs($forum['forumid'], $data);
		$counts = $wpforo->forum->get_counts( $data );
		
		$forum_url = $wpforo->forum->get_forum_url($forum);
		$topic_toglle = $wpforo->forum_options['layout_qa_intro_topics_toggle'];
		?>
		
		<div class="forum-wrap">
		    <div class="wpforo-forum">
		        <div class="wpforo-forum-icon"><i class="fa fa-comments wpfcl-0"></i></div>
		        <div class="wpforo-forum-info">
					<h3 class="wpforo-forum-title"><a href="<?php echo esc_url($forum_url) ?>"><?php echo esc_html($forum['title']); ?></a></h3>
					<p class="wpforo-forum-description"><?php wpforo_text( $forum['description'], 1000 ) ?></p>
					
	            	<?php if($has_sub_forums) : ?>
						
						<div class="wpforo-subforum">
			                <ul>
			                    <li class="first"><?php wpforo_phrase('Subforums') ?>:</li>
			                    
								<?php foreach($sub_forums as $sub_forum) : ?>
									
		                    		<li><a href="<?php echo esc_url($wpforo->forum->get_forum_url($sub_forum)) ?>"><?php echo esc_html($sub_forum['title']); ?></a></li>
									
		                    	<?php endforeach; ?>
								
			                </ul>
			                <br class="wpf-clear" />
			            </div><!-- wpforo-subforum -->
						
					<?php endif; ?>
					
					<?php if($has_topics) : ?>
						
						<div class="wpforo-forum-footer">
			            	<span class="wpfcl-5"><?php wpforo_phrase('Recent Questions') ?></span> &nbsp;
			            	 <i id="img-arrow-<?php echo intval($forum['forumid']) ?>" class="topictoggle fa fa-chevron-<?php echo ( $topic_toglle == 1 ? 'up' : 'down' ); ?>" style="color: rgb(67, 166, 223);font-size: 14px; cursor: pointer;"></i> &nbsp;&nbsp;
						</div>
						
					<?php endif ?>
					
		        </div><!-- wpforo-forum-info -->
				
		        <div class="wpforo-forum-stat-questions"><?php echo intval($counts['topics']) ?></div>
		        <div class="wpforo-forum-stat-answers"><?php echo intval($wpforo->topic->get_sum_answer($data)) ?></div>
		        <div class="wpforo-forum-stat-posts"><?php echo intval($counts['posts']) ?></div>
		    </div><!-- wpforo-forum -->
			
			
			<?php if($has_topics) : ?>
				
			    <div class="wpforo-last-topics-<?php echo intval($forum['forumid']) ?>" style="display: <?php echo ( $topic_toglle ? 'block' : 'none' ); ?>;">
			        <div class="wpforo-last-topics-tab"></div>
			        <div class="wpforo-last-topics-list">
			            <ul>
							<?php foreach($topics as $topic) : ?>
								<?php $member = $wpforo->member->get_member($topic['userid'], true) ?>
				                <li> 
				                    <div class="wpforo-last-topic wpfcl-2">
				                    	<div class="votes"><div class="count <?php echo $topic['votes'] == 0 ? "wpfcl-6" : "wpfbg-4 wpfcl-3" ?>"><?php echo intval($topic['votes']) ?></div><div class="wpforo-label <?php echo $topic['votes'] == 0 ? "wpfcl-6" : "wpfbg-4 wpfcl-3" ?>"><?php wpforo_phrase('Votes') ?></div></div>
				                        <div class="answers"><div class="count <?php echo $topic['answers'] == 0 ? "wpfcl-5" : "wpfbg-5 wpfcl-3" ?>"><?php echo intval($topic['answers']) ?></div><div class="wpforo-label <?php echo $topic['answers'] == 0 ? "wpfcl-5" : "wpfbg-5 wpfcl-3" ?>"><?php wpforo_phrase('Answers') ?></div></div>
				                        <div class="views"><div class="count"><?php echo intval($topic['views']) ?></div><div class="wpforo-label"><?php wpforo_phrase('Views') ?></div></div>
				                    </div>
				                    <div class="wpforo-last-topic-title">
				                    	<a href="<?php echo esc_url($wpforo->topic->get_topic_url($topic, $forum)) ?>"><?php echo esc_html($topic['title']) ?></a><br />
				                    	<span class="wpforo-last-topic-info wpfcl-2"><?php wpforo_phrase('by') ?> <a href="<?php echo esc_url($member['profile_url']) ?>"><?php echo esc_html($member['display_name']) ?></a>, <?php wpforo_date($topic['created']); ?></span>
				                    </div> 
				                    <div class="wpforo-last-topic-posts wpfcl-2"><div class="count"><?php echo intval($topic['posts']) ?></div><div class="wpforo-label"><?php wpforo_phrase('replies') ?></div></div>
				                </li>
			                <?php endforeach; ?>
                            <?php if( intval($forum['topics']) > $wpforo->forum_options['layout_qa_intro_topics_count'] ): ?>
                            <li>
                            	<div class="wpforo-last-topic-title wpf-vat">
                                	<a href="<?php echo esc_url($forum_url) ?>"><?php wpforo_phrase('view all questions', true, 'lower');  ?> <i class="fa fa-angle-right" aria-hidden="true"></i></a>
                                </div>
                            </li>
						<?php endif ?>
			            </ul>
			        </div><!-- wpforo-last-topics-list -->
			        <br class="wpf-clear" />
			    </div><!-- wpforo-last-topics -->
				
			<?php endif; ?>
			
		</div><!-- forum-wrap -->
		
	<?php endforeach; ?> <!-- $forums as $forum -->
</div>