<?php
	// Exit if accessed directly
	if( !defined( 'ABSPATH' ) ) exit;
?>

<div class="wpforo-profile-home">
    
	<?php if( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vmr' ) ): ?>
        <div class="wpf-profile-section wpf-ma-section">
            <div class="wpf-profile-section-head">
            	<i class="fa fa-bar-chart"></i>
				<?php wpforo_phrase('Member Activity'); ?>
            </div>
            <div class="wpf-profile-section-body">
                <div class="wpf-statbox wpfbg-9">
                    <div class="wpf-statbox-body">
                        <div class="wpf-statbox-icon wpfcl-5"><i class="fa fa-pencil"></i></div>
                        <div class="wpf-statbox-value"><?php wpforo_print_number($posts, true) ?></div>
                        <div class="wpf-statbox-title"><?php wpforo_phrase('Posts') ?></div>
                    </div>
                </div>
                <div class="wpf-statbox wpfbg-9">
                    <div class="wpf-statbox-body">
                        <div class="wpf-statbox-icon wpfcl-5"><i class="fa fa-question"></i></div>
                        <div class="wpf-statbox-value"><?php wpforo_print_number($questions, true) ?></div>
                        <div class="wpf-statbox-title"><?php wpforo_phrase('Questions') ?></div>
                    </div>
                </div>
                <div class="wpf-statbox wpfbg-9">
                    <div class="wpf-statbox-body">
                        <div class="wpf-statbox-icon wpfcl-5"><i class="fa fa-check"></i></div>
                        <div class="wpf-statbox-value"><?php wpforo_print_number($answers, true) ?></div>
                        <div class="wpf-statbox-title"><?php wpforo_phrase('Answers') ?></div>
                    </div>
                </div>
                <div class="wpf-statbox wpfbg-9">
                    <div class="wpf-statbox-body">
                        <div class="wpf-statbox-icon wpfcl-5"><i class="fa fa-comment"></i></div>
                        <div class="wpf-statbox-value"><?php wpforo_print_number($comments, true) ?></div>
                        <div class="wpf-statbox-title"><?php wpforo_phrase('Question Comments') ?></div>
                    </div>
                </div>
                <div class="wpf-statbox wpfbg-9">
                    <div class="wpf-statbox-body">
                        <div class="wpf-statbox-icon wpfcl-5"><i class="fa fa-thumbs-up"></i> </div>
                        <div class="wpf-statbox-value"><?php wpforo_print_number($wpforo->member->get_votes_and_likes_count( $userid ), true);  ?></div>
                        <div class="wpf-statbox-title"><?php wpforo_phrase('Liked') ?></div>
                    </div>
                </div>
                <div class="wpf-statbox wpfbg-9">
                    <div class="wpf-statbox-body">
                        <div class="wpf-statbox-icon wpfcl-5"><i class="fa fa-thumbs-up fa-flip-horizontal"></i></div>
                        <div class="wpf-statbox-value"><?php wpforo_print_number($wpforo->member->get_user_votes_and_likes_count( $userid ), true);  ?></div>
                        <div class="wpf-statbox-title"><?php wpforo_phrase('Received Likes') ?></div>
                    </div>
                </div>
                <div class="wpf-statbox wpfbg-9">
                    <div class="wpf-statbox-body">
                        <div class="wpf-statbox-icon wpfcl-5"><i class="fa fa-star"></i></div>
                        <div class="wpf-statbox-value"><?php echo $wpforo->member->rating_level( $posts, FALSE ) ?>/10</div>
                        <div class="wpf-statbox-title"><?php wpforo_phrase('Rating') ?></div>
                    </div>
                </div>
            	<div class="wpf-clear"></div>
             </div>
        </div>
    <?php endif; ?>
    
    <div class="wpf-profile-section wpf-mi-section">
     	<div class="wpf-profile-section-head">
        	<i class="fa fa-list"></i>
            <?php wpforo_phrase('Member Information'); ?>
        </div>
     	<div class="wpforo-table">
           <?php if( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vmam' ) ): ?>
                <?php if($about) : ?>
                  <div class="wpforo-tr">
                    <div class="wpforo-profile-label wpforo-th wpfbg-7"><strong><?php wpforo_phrase('About Me') ?></strong></div>
                    <div class="wpforo-profile-field wpforo-td wpfbg-9"><p><?php echo wpforo_kses($about, 'user_description') ?></p></div>
                  </div>
                <?php endif ?>
            <?php endif ?>
            <?php if( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vmw' ) ): ?>
                <?php if($site) : ?>
                  <div class="wpforo-tr">
                    <div class="wpforo-profile-label wpforo-th wpfbg-7"><?php wpforo_phrase('Website') ?></div>
                    <div class="wpforo-profile-field wpforo-td wpfbg-9"><?php echo esc_url($site) ?></div>
                  </div>
                <?php endif ?>
            <?php endif ?>
            <?php if( $facebook | $twitter | $gtalk | $yahoo | $aim | $icq | $msn | $skype ) : ?>
                <?php $social_access = ( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vmsn' ) ?  TRUE : FALSE ) ?>
              <div class="wpforo-tr">
                <div class="wpforo-profile-label wpforo-th wpfbg-7"><?php wpforo_phrase('Social Networks') ?></div>
                <div class="wpforo-profile-field wpforo-td wpfbg-9">
                    <div class="wpforo-profile-socnet wpforo-table">
                      <div class="wpforo-tr">
                        <?php if($facebook) : ?>
                            <div class="wpforo-td" style="width:20%;"><?php wpforo_phrase('Facebook') ?>:</div><div class="wpforo-td" style="width:30%"><?php echo ( $social_access  ? esc_html($facebook) : ''  ) ?></div>
                        <?php endif ?>
                        <?php if($twitter) : ?>
                            <div class="wpforo-td" style="width:20%;"><?php wpforo_phrase('Twitter') ?>:</div><div class="wpforo-td" style="width:30%"> <?php echo ( $social_access  ? esc_html($twitter) : ''  ) ?></div>
                        <?php endif ?>
                      </div>
                      <div class="wpforo-tr">
                        <?php if($gtalk) : ?>
                            <div class="wpforo-td"><?php wpforo_phrase('Gtalk') ?>:</div><div class="wpforo-td"><?php echo ( $social_access  ? esc_html($gtalk) : ''  ) ?></div>
                        <?php endif ?>
                        <?php if($yahoo) : ?>
                            <div class="wpforo-td"><?php wpforo_phrase('Yahoo') ?>:</div><div class="wpforo-td"><?php echo ( $social_access  ? esc_html($yahoo) : ''  ) ?></div>
                        <?php endif ?>
                      </div>
                      <div class="wpforo-tr">
                        <?php if($aim) : ?>
                            <div class="wpforo-td"><?php wpforo_phrase('AOL IM') ?>:</div><div class="wpforo-td"><?php echo ( $social_access  ? esc_html($aim) : ''  ) ?></div>
                        <?php endif ?>
                        <?php if($icq) : ?>
                            <div class="wpforo-td"><?php wpforo_phrase('ICQ') ?>:</div><div class="wpforo-td"><?php echo ( $social_access  ? esc_html($icq) : ''  ) ?></div>
                        <?php endif ?>
                      </div>
                      <div class="wpforo-tr">
                        <?php if($msn) : ?>
                            <div class="wpforo-td"><?php wpforo_phrase('MSN') ?>:</div><div class="wpforo-td"><?php echo ( $social_access  ? esc_html($msn) : ''  ) ?></div>
                        <?php endif ?>
                        <?php if($skype) : ?>
                            <div class="wpforo-td"><?php wpforo_phrase('Skype') ?>:</div><div class="wpforo-td"><?php echo ( $social_access ? esc_html($skype) : ''  ) ?></div>
                        <?php endif ?>
                      </div>
                    </div>
                </div>
              </div>
            <?php endif ?>
            <?php if( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vmlad' ) ): ?>
                <?php if($last_login) : ?>
                  <div class="wpforo-tr">
                    <div class="wpforo-profile-label wpforo-th wpfbg-7"><?php wpforo_phrase('Last Active') ?></div>
                    <div class="wpforo-profile-field wpforo-td wpfbg-9"><?php wpforo_date($last_login, 'F j, Y, g:i A') ?></div>
                  </div>
                <?php endif ?>
             <?php endif ?>
            <?php if( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vml' ) ): ?>
                <?php if($location) : ?>
                  <div class="wpforo-tr">
                    <div class="wpforo-profile-label wpforo-th wpfbg-7"><?php wpforo_phrase('Location') ?></div>
                    <div class="wpforo-profile-field wpforo-td wpfbg-9"><?php echo esc_html($location) ?></div>
                  </div>
                <?php endif ?>
                <?php if($timezone) : ?>
                  <div class="wpforo-tr">
                    <div class="wpforo-profile-label wpforo-th wpfbg-7"><?php wpforo_phrase('Timezone') ?></div>
                    <div class="wpforo-profile-field wpforo-td wpfbg-9"><?php echo esc_html($timezone) ?></div>
                  </div>
                <?php endif ?>
            <?php endif ?>
            <?php if( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vmo' ) ): ?>
              <?php if($occupation) : ?>
                  <div class="wpforo-tr">
                    <div class="wpforo-profile-label wpforo-th wpfbg-7"><?php wpforo_phrase('Occupation') ?></div>
                    <div class="wpforo-profile-field wpforo-td wpfbg-9"><?php echo esc_html($occupation) ?></div>
                  </div>
                <?php endif ?>
            <?php endif ?>
            <?php if( $wpforo->perm->usergroup_can( $wpforo->current_user_groupid, 'vms' ) ): ?>
                <?php if($signature) : ?>
                  <div class="wpforo-tr">
                    <div class="wpforo-profile-label wpforo-th wpfbg-7"><?php wpforo_phrase('Signature') ?></div>
                    <div class="wpforo-profile-field wpforo-td wpfbg-9"><p><?php echo wpforo_kses($signature, 'user_description') ?></p></div>
                  </div>
                <?php endif ?>
            <?php endif ?>
           </div>  
     </div>
</div>